//index.js
//获取应用实例
const app = getApp()

Page({
  data: {
    // 视频路径
    videoSrc:'http://wxsnsdy.tc.qq.com/105/20210/snsdyvideodownload?filekey=30280201010421301f0201690402534804102ca905ce620b1241b726bc41dcff44e00204012882540400&bizid=1023&hy=SH&fileparam=302c020101042530230204136ffd93020457e3c4ff02024ef202031e8d7f02030f42400204045a320a0201000400',
    // 视频的封面图片
    videoBackgroundUrl:'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1523526097286&di=a4099fae1ee85e1cb0ecbfca5715e0ce&imgtype=0&src=http%3A%2F%2Fimgsrc.baidu.com%2Fimgad%2Fpic%2Fitem%2F03087bf40ad162d92a1d14821bdfa9ec8b13cdb9.jpg',
    // 背景图片
    backgroundUrl:'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1523526650589&di=709e872bb70dc4246fb045a22fc5dcbb&imgtype=0&src=http%3A%2F%2Fimg.zcool.cn%2Fcommunity%2F012bc0585250e8a801219c77cf3db4.jpg',
    displayBackground:true,
    userInfo: {},
    now: 0,
    // 是否正在进行网络请求
    networking:false,
    loading: true,
    hasUserInfo: false,
    canIUse: wx.canIUse('button.open-type.getUserInfo')
  },
  //事件处理函数
  bindViewTap: function() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  finishLoading(){
    if (!this.data.networking){
      this.setData({
        loading:false
      });
      wx.setNavigationBarColor({
        frontColor: '#000000',
        backgroundColor: '#f6c173',
      })
      clearInterval(this.timer)
    }
  },
  sendRedpacket(){
    console.log('发发发发')
  },
  startVideo(){
    this.setData({
      displayBackground:false
    })
    this.videoContext.play()
  },
  onLoad: function () {
    this.videoContext = wx.createVideoContext('myVideo')
    wx.setNavigationBarColor({
      frontColor: '#000000',
      // #f6c173
      backgroundColor: '#ffffff',
    })
    this.timer = setInterval(()=>{
      this.setData({
        now:(this.data.now+1)%3
      })
    },500)
  }
})
